package com.tzld.piaoquan.longarticle.controller;

import com.tzld.piaoquan.longarticle.service.local.impl.MatchVideoServiceImpl;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/")
public class IndexController {


    @Autowired
    MatchVideoServiceImpl matchVideoService;

    /**
     * 探活
     *
     * @return
     */
    @GetMapping("/healthcheck")
    public String healthcheck() {
        return "ok";
    }

    @GetMapping("/crawler")
    public String crawler() throws InterruptedException {
        matchVideoService.matchCrawlerVideo();
        return "ok";
    }

    @GetMapping("/kimi")
    public void kimi() throws InterruptedException {
        matchVideoService.kimiContent();
    }
}
